package com.judong.chuanyiserver.dao;

import com.judong.chuanyiserver.entity.ServerInformation;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ConnectDao {

    Integer saveConnect(ServerInformation serverInformation);

    ServerInformation getServerInformation(String userId, String ipAddress);

    ServerInformation getServerInformationById(int id);

    List<ServerInformation> selectAllConnect(String userId);

    ServerInformation getServerInformationEdit(int id, String userId, String ipAddress);

    Integer editConnect(ServerInformation serverInformation);

    Integer deleteConnect(int id, String userId);
}
